#!/bin/sh
#
# mkscriptcmd.sh - make image of U-Boot script
#
# Written by Vincent Chen <VincentChen@wondermedia.com.tw>

mkimage=`find -name "mkimage"|sort|head -1`

if [ $# -lt 2 ]; then
	echo "Usage: $0 scriptcmd.txt scriptcmd"
	exit 0
fi

if [ ! -z "$mkimage" ] && [ -e "$mkimage" ]; then
	$mkimage -A arm -O linux -T script -n "scriptcmd" \
	-d $1 $2
fi

